[oe-commits] org.oe.angstrom-2007.12-stable contrib: upload-packages.sh: adapted superfeed.sh to upload packages for the 2007.12 release

koen commit openembedded-commits at lists.openembedded.org
Thu Jan 3 11:25:26 UTC 2008


contrib: upload-packages.sh: adapted superfeed.sh to upload packages for the 2007.12 release
* for use with autobuilders with small bandwidth

Author: koen at openembedded.org
Branch: org.openembedded.angstrom-2007.12-stable
Revision: 70648790205f8fc1a4bad7222c049080df65ea92
ViewMTN: http://monotone.openembedded.org/revision/info/70648790205f8fc1a4bad7222c049080df65ea92
Files:
1
contrib/angstrom/upload-packages.sh
Diffs:

#
# mt diff -r8841a84f6c4b5d405cd9a2865fe19673e6c1fe17 -r70648790205f8fc1a4bad7222c049080df65ea92
#
# 
# 
# add_file "contrib/angstrom/upload-packages.sh"
#  content [36adc6d77985666ed8e2772151cb6553eb4cc872]
# 
============================================================
--- contrib/angstrom/upload-packages.sh	36adc6d77985666ed8e2772151cb6553eb4cc872
+++ contrib/angstrom/upload-packages.sh	36adc6d77985666ed8e2772151cb6553eb4cc872
@@ -0,0 +1,35 @@
+#! /bin/sh
+# MIT Licensed
+# Initial version by Graeme 'XorA' Gregory, Further changes by Koen Kooi
+
+# Run this from inside ${DEPLOY_DIR} e.g. tmp/deploy/glibc/
+
+# Angstrom webserver
+REMOTEM=angstrom at linuxtogo.org
+
+# Feed dir we want to upload to
+REMOTED=website/feeds/2007/ipk/glibc
+
+# create upload dir
+mkdir -p upload-queue || true
+
+# Find and delete morgue dirs, we don't need them
+find ipk/ -name "morgue" -exec rm -rf \{\} \;
+
+# Copy all packages to an upload queue
+find ipk/ -name "*.ipk" -exec cp \{\} upload-queue/ \;
+
+# Find file already present on webserver
+ssh $REMOTEM "find $REMOTED/ -name "*.ipk" -exec basename \{\} \;" > /tmp/files-remote
+ls upload-queue/ | grep -v morgue >/tmp/files-local
+
+# Check for files already present on webserver
+cat /tmp/files-remote /tmp/files-local | sort | uniq -u >/tmp/files-uniq
+cat /tmp/files-uniq /tmp/files-local | sort | uniq -d > /tmp/files-trans
+
+# Copy over non-duplicate files
+rsync -vz --files-from=/tmp/files-trans upload-queue/ $REMOTEM:$REMOTED/unsorted/
+
+# Clean up temporary files
+rm /tmp/files-remote /tmp/files-local /tmp/files-uniq /tmp/files-trans
+






More information about the Openembedded-commits mailing list